Subject: Re: [PATCH RFC] [1/9] Core module symbol namespaces code and intro.

From: "Arnaldo Carvalho de Melo" <[email-masked]>
Date: Thu, 22 Nov 2007 10:01:10 -0200

Em Thu, Nov 22, 2007 at 03:43:06AM +0100, Andi Kleen escreveu:
> 
> There seems to be rough consensus that the kernel currently has too many 
> exported symbols. A lot of these exports are generally usable utility 
> functions or important driver interfaces; but another large part are functions
> intended by only one or two very specific modules for a very specific purpose.
> One example is the TCP code. It has most of its internals exported, but 
> only for use by tcp_ipv6.c (and now a few more by the TCP/IP congestion modules) 
> But it doesn't make sense to include these exported for a specific module
> functions into a broader "kernel interface".   External modules assume
> they can use these functions, but they were never intended for that.

Thank you for doing this.

Creating the DCCP and its congestion control infrastructure (CCID)
module namespaces is now on my TODO list. :-)

- Arnaldo